Sliced VBI data
Raw VBI

Definition of sliced VBI data. More...

## Data Structures

struct | vbi_sliced
| This structure holds one scan line of sliced vbi data. More...

## Functions

unsigned int | vbi_sliced_payload_bits (unsigned int service)
const char * | vbi_sliced_name (vbi_service_set service) _vbi_const

## Detailed Description

Definition of sliced VBI data.

The output of the libzvbi raw VBI decoder, and input to the data service decoder, is VBI data in binary format as defined in this section. It is similar to the output of hardware VBI decoders and VBI data transmitted in digital TV streams.

## Function Documentation

## vbi_sliced_payload_bits()

unsigned int vbi_sliced_payload_bits | ( | unsigned int | service | ) |

Parameters

  service | A data service identifier, for example from a vbi_sliced structure.

Returns
  Number of payload bits, `0` if the service is unknown.

Examples
  examples/rawout.c.

## vbi_sliced_name()

const char * vbi_sliced_name | ( | vbi_service_set | service | ) |

extern

$ingroup Sliced $param service A data service identifier, for example from a vbi_sliced structure.

$return Name of the $a service, in ASCII, or $c NULL if unknown.